Skip to main content
Clawise

Get list entries

GET
/api/v1/mail/lists

Lists allowlist or blocklist entries for the organization.

Filter by list_type, direction, or scope to a specific inbox with inbox_id. All filters are optional.

Query Parameters

list_type?string

Filter by list category.

Value in"allowlist" | "blocklist"
direction?string

Filter by mail flow direction.

Value in"inbound" | "outbound"
inbox_id?string

Filter to rules scoped to this inbox.

Response Body

application/json

curl -X GET "https://api.clawise.dev/api/v1/mail/lists?list_type=allowlist&direction=inbound&inbox_id="